Subject: Re: [PATCH] cpuidle/powernv: Populate cpuidle state details by querying the device-tree

From: Michael Ellerman <[email-masked]>
Date: Mon, 27 Oct 2014 14:34:30 +1100

On Fri, 2014-10-24 at 15:30 +0100, Lorenzo Pieralisi wrote:
> On Tue, Oct 14, 2014 at 08:53:00AM +0100, Preeti U Murthy wrote:
> > We hard code the metrics relevant for cpuidle states in the kernel today.
> > Instead pick them up from the device tree so that they remain relevant
> > and updated for the system that the kernel is running on.
> 
> Device tree properties should be documented, and these bindings are
> getting very similar to the ones I have just completed for ARM,
> I wonder whether we should take the generic bits out of ARM bindings (ie
> exit_latency) and make those available to other architectures.

The firmware that emits those properties is already in the field, so it would
have been nice to use a generic binding but it's too late now.

cheers